org.apache.felix.ipojo.util

## Enum DependencyModel.DependencyEventType

- java.lang.Object
- - java.lang.Enum<DependencyModel.DependencyEventType>
  - - org.apache.felix.ipojo.util.DependencyModel.DependencyEventType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DependencyModel.DependencyEventType>

Enclosing class:
  DependencyModel

    public static enum DependencyModel.DependencyEventType
    extends java.lang.Enum<DependencyModel.DependencyEventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRIVAL`
`BINDING`
`DEPARTURE`
`INVALIDATE`
`MODIFIED`
`RECONFIGURED`
`UNBINDING`
`VALIDATE`

### Method Summary

All Methods Static Methods Concrete Methods
`static DependencyModel.DependencyEventType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DependencyModel.DependencyEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VALIDATE

    public static final DependencyModel.DependencyEventType VALIDATE

#### INVALIDATE

    public static final DependencyModel.DependencyEventType INVALIDATE

#### ARRIVAL

    public static final DependencyModel.DependencyEventType ARRIVAL

#### MODIFIED

    public static final DependencyModel.DependencyEventType MODIFIED

#### DEPARTURE

    public static final DependencyModel.DependencyEventType DEPARTURE

#### BINDING

    public static final DependencyModel.DependencyEventType BINDING

#### UNBINDING

    public static final DependencyModel.DependencyEventType UNBINDING

#### RECONFIGURED

    public static final DependencyModel.DependencyEventType RECONFIGURED

### Method Detail

#### values

    public static DependencyModel.DependencyEventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DependencyModel.DependencyEventType c : DependencyModel.DependencyEventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DependencyModel.DependencyEventType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null